curl --request GET \
--url https://api.atoa.me/api/customers/{customerId}/cards/{cardId} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch(
"https://api.atoa.me/api/customers/{customerId}/cards/{cardId}",
{
headers: { Authorization: "Bearer <token>" },
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.atoa.me/api/customers/{customerId}/cards/{cardId}")
.header("Authorization", "Bearer <token>")
.asString();
{
"id": "card_abc123def456",
"name": "John Doe",
"type": "credit",
"lastFourDigits": "4242",
"category": "consumer",
"cardType": "DEBIT",
"brand": "VISA",
"country": "GB",
"recurrenceType": "unscheduled",
"expiryDate": "12/2027"
}
{
"name": "NOT_FOUND",
"message": "Card not found",
"status": 404,
"errors": []
}
Payment Methods
Get Payment Method
Retrieve payment method via the Atoa Payment Methods API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.
GET
/
api
/
customers
/
{customerId}
/
cards
/
{cardId}
curl --request GET \
--url https://api.atoa.me/api/customers/{customerId}/cards/{cardId} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch(
"https://api.atoa.me/api/customers/{customerId}/cards/{cardId}",
{
headers: { Authorization: "Bearer <token>" },
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.atoa.me/api/customers/{customerId}/cards/{cardId}")
.header("Authorization", "Bearer <token>")
.asString();
{
"id": "card_abc123def456",
"name": "John Doe",
"type": "credit",
"lastFourDigits": "4242",
"category": "consumer",
"cardType": "DEBIT",
"brand": "VISA",
"country": "GB",
"recurrenceType": "unscheduled",
"expiryDate": "12/2027"
}
{
"name": "NOT_FOUND",
"message": "Card not found",
"status": 404,
"errors": []
}
Retrieve details of a single saved payment method.
Response
Authorization
Bearer<accessSecret>
Path Parameters
string
required
The customer UUID who owns the card.
string
required
The card identifier (from List Payment Methods response).
string
Card identifier.
string
Cardholder name.
string
Card type (e.g.,
credit, debit).string
Last 4 digits of the card number.
string
Card category.
string
Card type (e.g.,
DEBIT, CREDIT, PREPAID).string
Card network brand (e.g.,
VISA, MASTERCARD).string
Card issuing country code.
string
Recurrence type (
unscheduled, recurring, installment). Default: unscheduled.string
Card expiry date in
MM/YYYY format.curl --request GET \
--url https://api.atoa.me/api/customers/{customerId}/cards/{cardId} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch(
"https://api.atoa.me/api/customers/{customerId}/cards/{cardId}",
{
headers: { Authorization: "Bearer <token>" },
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.atoa.me/api/customers/{customerId}/cards/{cardId}")
.header("Authorization", "Bearer <token>")
.asString();
{
"id": "card_abc123def456",
"name": "John Doe",
"type": "credit",
"lastFourDigits": "4242",
"category": "consumer",
"cardType": "DEBIT",
"brand": "VISA",
"country": "GB",
"recurrenceType": "unscheduled",
"expiryDate": "12/2027"
}
{
"name": "NOT_FOUND",
"message": "Card not found",
"status": 404,
"errors": []
}
⌘I